SetKeywordMarkerFilter (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.miscellaneous, class: SetKeywordMarkerFilter

Package org.apache.lucene.analysis.miscellaneous

# Class SetKeywordMarkerFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter
org.apache.lucene.analysis.miscellaneous.SetKeywordMarkerFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class SetKeywordMarkerFilter extends KeywordMarkerFilter
Marks terms as keywords via the `KeywordAttribute`. Each token contained in the provided set is marked as a keyword by setting `KeywordAttribute.setKeyword(boolean)` to `true` .

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetKeywordMarkerFilter(TokenStream in, CharArraySet keywordSet)`
  Create a new KeywordSetMarkerFilter, that marks the current token as a keyword if the tokens term buffer is contained in the given set via the `KeywordAttribute`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isKeyword()`

  ### Methods inherited from class org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter

  `incrementToken`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, end, reset, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetKeywordMarkerFilter

    public SetKeywordMarkerFilter(TokenStream in, CharArraySet keywordSet)
    Create a new KeywordSetMarkerFilter, that marks the current token as a keyword if the tokens term buffer is contained in the given set via the `KeywordAttribute`.
    Parameters:
      `in` - TokenStream to filter
      `keywordSet` - the keywords set to lookup the current termbuffer

- ## Method Details

  - ### isKeyword

    protected boolean isKeyword()
    Specified by:
      `isKeyword` in class `KeywordMarkerFilter`